#! /bin/sh

# 1. This Script will install Apache mod_wsgi into the correct directories for Ubuntu Server.
# 2. Enable the module.
# 3. Overwrite httpd.conf with the updated config.
# NB: This Script should be run as root from the temporary directory that contains mod_wsgi.so etc.

# Configuration Instructions for Marvin Multi-Graph and AuditTrailIndex
mkdir -p /home/cipher/Marvin/AuditTrail/
mkdir -p /home/cipher/Marvin/MG-fav/

# Configuration Instructions for Marvin wsgi
mkdir -p /var/www/htdocs/wsgi/views
chmod 0777 /var/www/htdocs/wsgi/
chmod 0777 /var/www/htdocs/wsgi/views/
cp wsgi/*.py /var/www/htdocs/wsgi/
cp wsgi/marvin.wsgi /var/www/htdocs/wsgi/
cp -R wsgi/views/ /var/www/htdocs/wsgi/
chown -R ubuntu:ubuntu /var/www/htdocs/wsgi/
chmod 0666 /var/www/htdocs/wsgi/*.py /var/www/htdocs/wsgi/marvin.wsgi /var/www/htdocs/wsgi/views/*.tpl

# Configuration Instructions for Apache2 mod_wsgi
cp httpd.conf /etc/apache2/
cp mod_wsgi.so /usr/lib/apache2/modules/
cp wsgi.load /etc/apache2/mods-available/
cd /etc/apache2/mods-available && a2enmod wsgi
/etc/init.d/apache2 restart
