#!/usr/bin/python
# -*- coding: UTF-8 -*-

"""The Transmitter Models Enumeration"""

class TxModel:
    """The Transmitter Models Enumeration"""
    (MDL_PST,
    MDL_PRT,
    MDL_RH,
    MDL_ANA,
    MDL_NWPST,
    ) = range(0, 5)

    @classmethod
    def to_alt_str(cls, ordinal):
        return ('RF512', 'RF516', 'RF513', 'RF515', 'RF542')[ordinal]