//
//This contians the error handling routines for my rnap system
//
//
//

void Error_Note(int8u *ErrorText, int8u Error_Code, int8u *Snumber);
void Error_Stop(int8u *ErrorText, int8u Error_Code, int8u *Snumber);
void WriteTextFile(int8u *Text);
void NetworkDownMessage(void);
void Print_Packet_Time(long time);


void Error_Note(int8u *ErrorText, int8u Error_Code, int8u *Snumber) //writes to a file
{
	FILE *info;

	info = fopen("/home/ember/Ember/Cipher_Debug.txt" , "ab+");
	fprintf(info, "%s %d %s.Time Was %s",ErrorText, Error_Code, Snumber, ctime(&the_time));
	fprintf(info,"\n\r");
	fclose(info);
}

void Print_Packet_Time(long time)
{
	FILE *info;

	info = fopen("/home/ember/Ember/Cipher_Debug.txt" , "ab+");
	fprintf(info, "Last Packet Recieved Time Was %s", ctime(&time));
	fprintf(info,"\n\r");
	fclose(info);

}

void Error_Stop(int8u *ErrorText, int8u Error_Code, int8u *Snumber) //will stop ember all together
{
	fprintf(stdout, "%s %d %s.\n\r",ErrorText, Error_Code, Snumber);
	//WrEmberRunningMessage(1);			//the Nick i've quit something bad happened
	exit(0);
}



void WriteTextFile(int8u *Text)
{
	FILE *info;

	info = fopen("/home/ember/Ember/Version.txt" , "wb");
	fprintf(info, "%s",Text);
	fprintf(info,"\n\r");
	fclose(info);

}


void WriteRadioAddress(void)
{
	//Gateway EUI64 Number
	int8u GatewayEUI64[9];
	int8u FormattedGatewayEUI64[20];
	FILE *info;
	//int8u i;

	MEMSET(GatewayEUI64,0,9);
	MEMSET(FormattedGatewayEUI64,0,20);
	MEMCOPY(&(GatewayEUI64[0]), emberGetEui64(), EUI_LEN);  //get the gateway eui64 address
	sprintf(FormattedGatewayEUI64, "%02X%02X%02X%02X%02X%02X%02X%02X",GatewayEUI64[7], GatewayEUI64[6], GatewayEUI64[5],GatewayEUI64[4], GatewayEUI64[3], GatewayEUI64[2], GatewayEUI64[1], GatewayEUI64[0]);

	info = fopen("/home/ember/Ember/radioaddress.txt" , "wb");
	fprintf(info, "%s",FormattedGatewayEUI64);
	fprintf(info,"\n\r");
	fclose(info);

}

void NetworkDownMessage(void)
{
	FILE *info;

	info = fopen("/mnt/ram/RFreset.txt" , "wb");
	fclose(info);
}





