//This file contains the data index location for the various rf packets and size information

//Common Packet Defines----------------------------------------------------------------------------------
#define MSG_TYPE		0
#define EUI64_START		1
//-------------------------------------------------------------------------------------------------------

//Device Advertisment Packet locations--------------------------------------------------------------------
#define AD_MODCLS		9				//Model class this is for nick
#define AD_RFMODCLS		10				//Sensor, mobile, handheld
#define AD_DEVCLS		11				//This defines whether a mesher or not
#define AD_SNUM			12				//Comark Serial Number
#define AD_MDLSTR		23				//Model string e.g. N2013 stylee 
#define AD_FRMSTR		35				//Firmware string
#define AD_RFFRMSTR		42				//RF Firmware string

//--------------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------------

//All the strings are sent 0 terminated but i'm not worried about that (because my srting copy 0 terminates anyway)so
//here are the real sizes of the imporant data
#define SIZE_SNUM		10
#define SIZE_MDLSTR		11
#define SIZE_FRMSTR		6		//this is same for both RF and nigels
#define SIZE_EUI64		8
#define SIZE_NICKSTRUCT	40				//amount of bytes to pass to Nick
//----------------------------------------------------------------------------------------------------------
//Data Packets----------------------------------------------------------------------------------------------
//The following are common defines for our Moster block approach to data transfer
//Index locations for Monster Block!!! 
#define BLKLEN_LOC		0
#define PKT1START		1
#define PKT2START		68
#define PKT3START		136
#define PKT4START		204
//----------------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------------
//Index locations for incomming data packets over RF
#define DATALEN_LOC			9			//for packet 1 only
#define DATAPKT1STRT_LOC	10
#define DATASTRT_LOC		9			//for packet 2, 3 and 4 only
#define BLOCK_SIZE_LOC		9
#define PKT1_DATASIZE		67
#define PKT2_DATASIZE		68
#define PKT3_DATASIZE		68
#define PKT4_DATASIZE		68

#define LESSTHN1PKT			67
#define MORETHN1PKT			68
#define MORETHN2PKT			135
#define MORETHN3PKT			203














