#!/usr/bin/python
# -*- coding: UTF-8 -*-

"""This Program attempts to duplicate the functionality of the original
Kantaris c code, rather than a wholesale rewrite.
Hopefully this code will become an excellent base upon which functionality mods
would become trivial

We will define some file path constants"""

ALARMGROUPLIST_FILE = "/home/cipher/system_data/locations_list/locationslist"
USERS_LIST_FILE = "/home/cipher/users/users"
SUMMARY_FILE_IN_RAM = "/mnt/ram/sram/summary/summary"
COLLECTION_UNIT_ID_FILE = "/home/cipher/system_data/collection_unit_id"
VERSION_FILE = "/mnt/ram/version.txt"

TX_FIRMWARE_DIR = "/home/cipher/firmware"
FIRMWARE_RF_RAM = "/mnt/ram/firmware/rf_module.bin"
FIRMWARE_PST_RAM = "/mnt/ram/firmware/rf512.bin"
FIRMWARE_RH_RAM = "/mnt/ram/firmware/rf513.bin"
FIRMWARE_ANA_RAM = "/mnt/ram/firmware/rf515.bin"
FIRMWARE_PRT_RAM = "/mnt/ram/firmware/rf516.bin"
FIRMWARE_NWPST_RAM = "/mnt/ram/firmware/rf542.bin"

FIRMWARE_RF = "/home/cipher/firmware/rf_module.bin"
FIRMWARE_PST = "/home/cipher/firmware/rf512.bin"
FIRMWARE_RH = "/home/cipher/firmware/rf513.bin"
FIRMWARE_ANA = "/home/cipher/firmware/rf515.bin"
FIRMWARE_PRT = "/home/cipher/firmware/rf516.bin"
FIRMWARE_NWPST = "/home/cipher/firmware/rf542.bin"


# ACTIONS_LOCK_TEST = "/mnt/ram/sram/messages/actionsLockTest"
# ACTIONS_LOCK_TEST = "/home/cipher/sram/messages/actionsLockTest"
USER_ACTIONS_DIR = "/home/cipher/user_actions/date_%s"
USER_ACTIONS_FILE = "/home/cipher/user_actions/date_%s/actions"
USER_ACTIONS_TEMPLATE_FILE = "/home/cipher/user_actions/blank_dir"

""""E.g. /home/cipher/tx_data/sno-CA03110485/task_1/period_1/Date_07_Feb_2013"""
TX_DATA_FILE_V2_PATTERN = "/home/cipher/tx_data/sno-%s/task_%ld/period_%ld/Date_%s"

TX_TASK_LIST_FILE_PATTERN = "/home/cipher/tx_data/sno-%s/task_list/task_list"
PERIOD_SUMMARY_FILE_PATTERN = "/home/cipher/tx_data/sno-%s/task_%ld/period_%ld/period_summary"

